<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,   description
 system_h   ,    0 ,   board high temperature area
 pa_0       ,    1 ,   major pa
 charger    ,    2 ,   charge ic
 usb        ,    3 ,   USB
 cluster0   ,    4 ,   cpu little core
 cluster1   ,    5 ,   cpu bigger cpu core
 gpu        ,    6 ,   gpu core
 modem      ,    7 ,   modem
 ddr        ,    8 ,   ddr
 battery    ,    9 ,   battery
 lcd        ,    10,   display screen
 tp         ,    11,   touch screen
 system_l   ,    12,   board low temperature area
 rfboard    ,    13,   mobile cool area
 wireless   ,    14,   wireless charge ic
 pa_1       ,    15,   minor pa
 dcxo_0     ,    16,   major crystal oscillator
 dcxo_1     ,    17,   minor crystal oscillator
 camera_0   ,    18,   back camera
 camera_1   ,    19,   front camera
 codec      ,    20,   codec
 charger1   ,    21,   minor charger ic
 shell_frame,    22,   frame shell
 ambient_v1 ,    23,   ambient v1.0
 ambient    ,    24,   ambient v2
 ir         ,    25,   ir
 dot        ,    26,   dot
 flash_led  ,    27,   flash led
 shell_front,    28,   front shell
 shell_back ,    29,   back shell
 usb_port   ,    30,   accurate USB
-->
<thermal version="2.0" product="PCEL">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_1" type="15" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<sensor_temp name="usb_port" type="30" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>
<sensor_temp name="dot" type="26" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>
    <epsilon>1</epsilon>
    <interval>100</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>7283.0</para_init_a>
    <para_init_b>50.5</para_init_b>
    <para_ac_a>-8449.0</para_ac_a>
    <para_ac_b>-0.1168</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>-13040.0</para_dc_a>
    <para_dc_b>-0.1229</para_dc_b>
    <para_dc_cur>-0.2993</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="usb_port" alpha="1.6" beta="1.93"/>
    <sensor1 type="rfboard" alpha="-0.508" beta="-0.316"/>
    <sensor2 type="system_h" alpha="-0.179" beta="0.199"/>
    <sensor3 type="charger" alpha="-0.0165" beta="-0.826"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>4</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_front"> <!-- shell_front -->
        <bat_bias>105</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>15278</const_coef>
        <coef_count>7</coef_count>
        <smooth_para>5</smooth_para>
        <sensor0 name="system_h" type="ntc" coef="-5472,4163,6235,-1595,-5395,-22772,-34621"/>
        <sensor1 name="dot" type="ntc" coef="40900,17344,360,-1698,-1628,-9308,-24665"/>
        <sensor2 name="charger" type="ntc" coef="-11202,-6680,-2417,-4072,-1223,-1417,24589"/>
        <sensor3 name="dcxo0" type="ntc" coef="-6967,570,770,17057,30291,61361,32636"/>
        <sensor4 name="rfboard" type="ntc" coef="41507,10180,-1568,-6239,-10039,-22857,-5210"/>
        <sensor5 name="usb_port" type="ntc" coef="51560,27879,10834,5995,-2987,-23541,-62979"/>
    </shell_coef0>
    <shell_coef1 name="shell_frame"> <!-- shell_front -->
        <bat_bias>105</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>15278</const_coef>
        <coef_count>7</coef_count>
        <smooth_para>5</smooth_para>
        <sensor0 name="system_h" type="ntc" coef="-5472,4163,6235,-1595,-5395,-22772,-34621"/>
        <sensor1 name="dot" type="ntc" coef="40900,17344,360,-1698,-1628,-9308,-24665"/>
        <sensor2 name="charger" type="ntc" coef="-11202,-6680,-2417,-4072,-1223,-1417,24589"/>
        <sensor3 name="dcxo0" type="ntc" coef="-6967,570,770,17057,30291,61361,32636"/>
        <sensor4 name="rfboard" type="ntc" coef="41507,10180,-1568,-6239,-10039,-22857,-5210"/>
        <sensor5 name="usb_port" type="ntc" coef="51560,27879,10834,5995,-2987,-23541,-62979"/>
    </shell_coef1>
    <shell_coef2 name="shell_frame">  <!-- shell_back -->
        <bat_bias>199</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>16914</const_coef>
        <coef_count>7</coef_count>
        <smooth_para>1</smooth_para>
        <sensor0 name="system_h" type="ntc" coef="-14373,-7594,-7850,-14549,-11566,-8864,-1056"/>
        <sensor1 name="dot" type="ntc" coef="7278,2948,-4125,-5631,-5887,-1101,3329"/>
        <sensor2 name="charger" type="ntc" coef="10017,-3646,-1676,1119,-973,3749,-14980"/>
        <sensor3 name="dcxo0" type="ntc" coef="51373,30330,27842,25485,19835,10428,-7223"/>
        <sensor4 name="rfboard" type="ntc" coef="19061,2976,-1735,-4685,-1622,-1701,-10347"/>
        <sensor5 name="usb_port" type="ntc" coef="32941,13229,6868,3339,2888,-8631,-26086"/>
    </shell_coef2>
    <shell_coef3 name="shell_back">  <!-- shell_back -->
        <bat_bias>199</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>16914</const_coef>
        <coef_count>7</coef_count>
        <smooth_para>1</smooth_para>
        <sensor0 name="system_h" type="ntc" coef="-14373,-7594,-7850,-14549,-11566,-8864,-1056"/>
        <sensor1 name="dot" type="ntc" coef="7278,2948,-4125,-5631,-5887,-1101,3329"/>
        <sensor2 name="charger" type="ntc" coef="10017,-3646,-1676,1119,-973,3749,-14980"/>
        <sensor3 name="dcxo0" type="ntc" coef="51373,30330,27842,25485,19835,10428,-7223"/>
        <sensor4 name="rfboard" type="ntc" coef="19061,2976,-1735,-4685,-1622,-1701,-10347"/>
        <sensor5 name="usb_port" type="ntc" coef="32941,13229,6868,3339,2888,-8631,-26086"/>
    </shell_coef3>
</shell_calculate_coef>
</thermal>